Skip to main content
POST
Delete index of encrypted files

Authorizations

Authorization
string
header
required

Send your access token as header Authorization: Bearer {accessToken}

Authorization
string
header
required

Your API key that starts with sk_live or sk_test. You can create yours at go.prem.io/api-keys.

Body

application/json

Request body for deleting index of encrypted files from RAG

cipher_text
string
required

Cipher text for encryption context

Example:

"cipher_text_data"

encrypted_rag_dek
string
required

Encrypted RAG data encryption key

Example:

"0123456789abcdef0123456789abcdef0123456789abcdef0123456789abcdef"

rag_dek_nonce
string
required

Nonce used for RAG DEK encryption

Example:

"0123456789abcdef0123456789abcdef"

fileIds
string[]
required

Array of file IDs to delete from index

Minimum array length: 1

File ID

Response

File indexes deleted successfully

Response containing the file index deletion status

status
enum<integer>
required

Status code of the response

Available options:
200,
201,
202
data
object
required

Response data containing the requested object

message
string | null
required

Message of the response, human readable

Example:

"Resource created successfully"

env
enum<string>
required

API environment

Available options:
development,
production
error
string | null

Error message of the response, human readable

Example:

"Invalid email address"

log

Useful informaiton, not always present, to debug the response

Examples:

"Some pertinent log message"

validator

Validator response object, each key is the field name and value is the error message

Example:
support_id
string<uuid> | null

Support ID linked to the response, used to identify it when talking with our team

Example:

"support_uuidv7-something-else"